//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 1998-2002 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
//
// $Id: SienaId.java,v 1.7 2003/05/15 17:13:19 carzanig Exp $
//
package siena;

import java.util.Random;

class SienaId {
    static private Random rnd = init_rnd();
    static private String hn = init_hn();
    static private long counter = 0;

    static private Random init_rnd() {
	long seed = -System.currentTimeMillis();
	try {
	    seed ^= java.net.InetAddress.getLocalHost().hashCode();
	} catch (java.net.UnknownHostException ex) {
	}
	return new Random(seed);
    }

    static private String init_hn() {
	return Long.toHexString(rnd.nextLong());
    } 

    /**
     * Creates a new string unique id.
     */
    synchronized static public String getId() {
	return hn.toString() +  "." + Long.toHexString(counter++);
    } 

    /**
     * Creates a new long unique id.
     */
    synchronized static public long getLongId() {
	return rnd.nextLong();
    } 
}


